# File Log

This module provides a custom logger service that logs system events
to a file on the server.

## Usage

After installing the module, it will automatically begin logging to
./logs/drupal.log inside Drupal's file system, usually in sites/default/files/.
(The location is automatically protected from the web by .htaccess)

The location can be configured, including setting it to an absolute path.

The format of each log entry is configurable, and uses Drupal's token system.
The available tokens are shown in the form; a full overview is provided if
the Token module (https://drupal.org/project/token) is installed.

The message text is automatically stripped of HTML and escape sequences,
and newline characters are escaped as \n to ensure a single line per event.
(Note that some messages, like PHP stack traces, can be quite long and
hard to read in this form.)

The log file can be automatically rotated (moved to a new location or deleted)
on a monthly, weekly or daily basis, with optional gzip compression.
